package domain


type AlibabaWdkMerchantStoreitemQueryResult struct {
    /*
        success     */
    Suc  *bool `json:"suc,omitempty" `

    /*
        errorCode     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        errorDesc     */
    ErrDesc  *string `json:"err_desc,omitempty" `

    /*
        result     */
    Result  *string `json:"result,omitempty" `

}

func (s *AlibabaWdkMerchantStoreitemQueryResult) SetSuc(v bool) *AlibabaWdkMerchantStoreitemQueryResult {
    s.Suc = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemQueryResult) SetErrCode(v string) *AlibabaWdkMerchantStoreitemQueryResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemQueryResult) SetErrDesc(v string) *AlibabaWdkMerchantStoreitemQueryResult {
    s.ErrDesc = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemQueryResult) SetResult(v string) *AlibabaWdkMerchantStoreitemQueryResult {
    s.Result = &v
    return s
}
